=== debian/changelog ===
festival (1:2.4~release-2) unstable; urgency=medium

  * control: Build-depend on libestools-dev instead of libestools2.4-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 May 2015 01:55:56 +0200

festival (1:2.4~release-1) unstable; urgency=medium

  [ Sergio Oller ]
  * New upstream version 2.4

  [ Samuel Thibault ]
  * watch: Generalize rule.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:06:23 +0200

festival (1:2.1~release-8) unstable; urgency=medium

  [ Sergio Oller ]
  * voice.list lists voices even if they do not use proclaim_voice,
    as some upstream voices do not use that convention. (Closes: 732083)
  * Fix libestools2.1-dev version dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 10:20:52 +0200

festival (1:2.1~release-7) unstable; urgency=low

  [ Sergio Oller ]
  * Improved performance by reducing disk i/o on HTS voices and by avoiding
    redundant HTS model reloads.
  * Rewritten text2wave:
      - Linear in CPU with respect to text length.
      - Constant in maximum memory usage no matter the text length.
      - Waves were temporary saved to disk and loaded from it.
        Now, disk output is reduced by half and disk input is 
        reduced to almost 0.
  * Build festival-dbg package
  * Build festival-doc package
  * Language selection chooses only among installed voices supporting
    the requested language. (Closes: 732083)

  [ Peter Drysdale ]
  * Remove sys-rc | file-rc dependency - we already ship with
    init files off due to security issues. (Closes: 734474)

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * README.testing: add.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Apr 2014 02:44:38 +0200
