=== debian/control ===
Source: festival
Section: sound
Priority: optional
Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Uploaders: Kumar Appaiah <akumar@debian.org>,
 Jaldhar H. Vyas <jaldhar@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               libestools-dev (>= 1:2.4~release),
               libncurses5-dev,
               texinfo,
               texlive-latex-base,
               quilt,
               libaudiofile-dev,
               dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.6
Homepage: http://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: git://git.debian.org/git/tts/festival.git
Vcs-Browser: http://git.debian.org/?p=tts/festival.git

Package: festival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         adduser (>= 3.105),
         alsa-utils [linux-any],
         lsb-base (>= 3.0-10)
Recommends: festvox-kallpc16k | festival-voice
Breaks: festvox-rablpc8k (<< 1.4.0-2),
           festvox-rablpc16k (<< 1.4.0-2),
           festvox-kdlpc16k (<< 1.4.0-4),
           festvox-kdlpc8k (<< 1.4.0-5),
           festvox-don (<< 1.4.0-3),
           festvox-ellpc11k (<< 1.4.0-1),
           festlex-cmu (<< 1.4.0-3),
           festlex-oald (<< 1.4.0-2),
           festlex-poslex (<< 1.4.0-3)
Suggests: pidgin-festival, festival-freebsoft-utils
Description: General multi-lingual speech synthesis system
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.

Package: festival-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, festival (= ${binary:Version})
Description: General multi-lingual speech synthesis system -- debug symbols
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.
 .
 This package contains the debugging symbols for festival.

Package: festival-dev
Architecture: any
Depends: ${misc:Depends}, libestools-dev (>= 1:2.4~release)
Suggests: festival-doc
Section: libdevel
Description: Development kit for the Festival speech synthesis system
 This package contains the static library and headers that can be used to
 develop programs that use Festival. Documentation is now contained in the
 separate festival-doc package.

Package: festival-doc
Architecture: all
Depends: ${misc:Depends}, doc-base (>= 0.8.4)
Section: doc
Description: Documentation for Festival
 This package contains the HTML and Postscript versions of the
 documentation for Festival.
