=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release/~release/" \
http://www.festvox.org/packed/festival/([\d.]*)/festival-(.*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
